numbers-3000.2.0.2: Various number types

Safe Haskell | Safe-Inferred
Language | Haskell98

Data.Number.Vectorspace

Synopsis

- class Vectorspace s v | v -> s where
  - (*>) :: s -> v -> v
  - (<+>) :: v -> v -> v
  - vnegate :: v -> v
  - vzero :: v

# Documentation

class Vectorspace s v | v -> s where Source #

Class of vector spaces v with scalar s.

Methods

(*>) :: s -> v -> v Source #

(<+>) :: v -> v -> v Source #

vnegate :: v -> v Source #

vzero :: v Source #